" NOTE: gvim -U i-call.vim
" Save options
:let s:cpo_save = &cpo
:set cpo&vim
"
" Define a function to put in the #include stuff
"
:function! Include()
:   " Get the current line
:   let l:line = getline(".")

:   " Put the #include in the right place
:   let l:line = "#include <".l:line.">"

:   " Replace the line
:   call setline(".", l:line)
:endfunction

" Now generate a way of calling the function
:map <F11> :call Include()<CR>

"NOTE: Define something in the menu
:menu 40.290 &Tools.&Include<tab>:call\ Include() :call Include()<CR>

"NOTE: Make it work for all modes
:amenu 40.290 &Tools.&Include(a)<tab><F11> :call Include()<CR>

" NOTE: Define something in the top level menu
:amenu 30 &C-Tools.Include<tab>F11 :call Include()<CR>

"NOTE: Add it to the popup menu (mouse model)
:amenu 1.5 PopUp.&Include<tab>:call\ Include() :call Include()<CR>

"NOTE: Put it in the toolbar
:amenu icon=/home/sdo/vim/include/include.xpm 1.1 ToolBar.Include :call Include()<CR>
:tmenu ToolBar.Include Put in the #include line

"Enable or disable the menu depending on file type
:function CMenuCheck()
:    if ((&ft == "c") || (&ft == "cpp"))
:       :menu enable &C-Tools
:    else
:       :menu disable &C-Tools
:    endif
:endfunction

"Automatically call the menu when we enter a buffer or the file type changes
:autocmd Bufenter * :call CMenuCheck()
:autocmd FileType * :call CMenuCheck()

" Restore the previous value of 'cpoptions'.
:let &cpo = s:cpo_save
:unlet s:cpo_save

:source ~/.gvimrc
